=== debian/changelog ===
vowpal-wabbit (4.1+20100420-1) unstable; urgency=low

  * Initial release (Closes: #576956)
  * Includes upstream changes after 4.1 adopted by upstream (e.g. use of
    help2man for building a manpage)

 -- Yaroslav Halchenko <debian@onerussian.com>  Thu, 08 Apr 2010 14:35:16 -0400
