=== debian/control ===
Source: vowpal-wabbit
Section: science
Priority: optional
Maintainer: Yaroslav Halchenko <debian@onerussian.com>
Build-Depends: debhelper (>= 7.0.50~), libboost-program-options-dev, help2man, zlib1g-dev
Standards-Version: 3.8.4
Homepage: http://hunch.net/~vw/
Vcs-Browser: http://github.com/yarikoptic/vowpal_wabbit
Vcs-Git: git://github.com/yarikoptic/vowpal_wabbit.git


Package: vowpal-wabbit
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: fast and scalable online learning algorithm
 Vowpal Wabbit is a fast online learning algorithm.  It features:
  - flexible input data specification
  - speedy learning
  - scalability (bounded memory footprint, suitable for distributed
    computation)
  - feature pairing
