=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

%:
	dh  $@

override_dh_auto_install:
	# do nothing -- make install is using ~/bin

override_dh_auto_build:
	# provide custom FLAGS to build taking into account CFLAGS in the
	# environment, which are set for noopt now in dpkg-buildpackage.
	# See #544844 for more information on C*FLAGS-ignorance of dh
	make FLAGS="-ffast-math -fno-strict-aliasing -D_FILE_OFFSET_BITS=64 $(CFLAGS)" \
		 BOOST_LIBRARY=/usr/lib
