=== debian/watch ===
version=3
http://github.com/JohnLangford/vowpal_wabbit/downloads .*tarball/([\d\.a-z]+)
