=== debian/changelog ===
vowpal-wabbit (5.0-1ubuntu1) natty; urgency=low

  * debian/patches/arm_alignment_fault.patch: Work around an ARM
    alignment trap caused by accessing unaligned float values.
    Thanks to Nicolas Pitre for suggesting the trick of casting
    to a packed struct containing a single float value.
    Fixes armel FTBFS (LP: #719305)

 -- Jani Monoses <jani@ubuntu.com>  Tue, 15 Feb 2011 21:57:50 +0200

vowpal-wabbit (5.0-1) unstable; urgency=low

  * New upstream release
  * DEP-5 copyright file
  * Boosted policy to 3.9.1 -- removed reference to BSD-3 file from copyright
  * Explicitly build vw.1 target

 -- Yaroslav Halchenko <debian@onerussian.com>  Sun, 05 Dec 2010 09:50:55 -0500
