## vowpal-wabbit 5.1+83

=== Makefile ===
--- 
+++ 
@@ -4,11 +4,12 @@
 BOOST_INCLUDE = /usr/local/include
 BOOST_LIBRARY = /usr/local/lib
 
-ARCH = -march=native
-OPTIM_FLAGS = -O3 -fomit-frame-pointer -ffast-math -fno-strict-aliasing
+ARCH = -march=nocona
+OPTIM_FLAGS = -O3 -fomit-frame-pointer -ffast-math -fno-strict-aliasing 
+WARN_FLAGS = -Wall #-Werror 
 
 # for normal fast execution.
-FLAGS = -Wall $(ARCH) $(OPTIM_FLAGS) -D_FILE_OFFSET_BITS=64 -I $(BOOST_INCLUDE)
+FLAGS = $(ARCH) $(WARN_FLAGS) $(OPTIM_FLAGS) -D_FILE_OFFSET_BITS=64 -I $(BOOST_INCLUDE) #-DVW_LDA_NO_SSE
 
 # for parallelization
 #FLAGS = -Wall $(ARCH) -ffast-math -Wno-strict-aliasing -D_FILE_OFFSET_BITS=64 -I $(BOOST_INCLUDE) -O3 -fopenmp
@@ -19,7 +20,7 @@
 # for valgrind
 #FLAGS = -Wall $(ARCH) -ffast-math -D_FILE_OFFSET_BITS=64 -I $(BOOST_INCLUDE) -g -O0
 
-BINARIES = vw
+BINARIES = vw allreduce_master active_interactor lda
 MANPAGES = vw.1
 
 #all:	$(BINARIES) $(MANPAGES)
@@ -50,7 +51,13 @@
 %.o:	 %.cc
 	$(COMPILER) $(FLAGS) -c $< -o $@
 
-vw: hash.o  global_data.o delay_ring.o message_relay.o io.o parse_regressor.o  parse_primitives.o unique_sort.o cache.o simple_label.o parse_example.o multisource.o sparse_dense.o  network.o parse_args.o gd.o lda.o cg.o noop.o parser.o vw.o loss_functions.o sender.o main.o
+allreduce_master: allreduce_master.o
+	$(COMPILER) $(FLAGS) -o $@ $+ 
+
+vw: hash.o  global_data.o delay_ring.o message_relay.o io.o parse_regressor.o  parse_primitives.o unique_sort.o cache.o simple_label.o parse_example.o multisource.o sparse_dense.o  network.o parse_args.o gd.o allreduce.o cg.o noop.o parser.o vw.o loss_functions.o sender.o main.o
+	$(COMPILER) $(FLAGS) -L$(BOOST_LIBRARY) -o $@ $+ $(LIBS)
+
+lda: hash.o  global_data.o delay_ring.o message_relay.o io.o parse_regressor.o  parse_primitives.o unique_sort.o cache.o simple_label.o parse_example.o multisource.o sparse_dense.o  network.o parse_args.o gd.o lda_core.o noop.o parser.o loss_functions.o sender.o lda.o
 	$(COMPILER) $(FLAGS) -L$(BOOST_LIBRARY) -o $@ $+ $(LIBS)
 
 active_interactor:	active_interactor.cc
@@ -63,10 +70,10 @@
 
 test: .FORCE
 	@echo "vw running test-suite..."
-	@(cd test && ./RunTests)
+	@(cd test && ./RunTests ../vw ../lda)
 
 install: vw
-	cp $(BINARIES) ~/bin
+	cp $(BINARIES) /usr/local/bin
 
 clean:
 	rm -f  *.o $(BINARIES) *~ $(MANPAGES)
