## vowpal-wabbit 5.1+83-gffab10a

=== debian/changelog ===
vowpal-wabbit (5.1+83-gffab10a-1) unstable; urgency=low

  * Fresh upstream snapshot addressing LDA tests errors on 32bit
  * Boosted policy to 3.9.2 -- no changes due

 -- Yaroslav Halchenko <debian@onerussian.com>  Wed, 06 Jul 2011 18:18:26 -0400

vowpal-wabbit (5.1+47-g3c756c1-1) unstable; urgency=low

  * Fresh upstream snapshot
  * Make failed tests verbose and allow some fuzz

 -- Yaroslav Halchenko <debian@onerussian.com>  Fri, 03 Jun 2011 14:54:04 -0400

vowpal-wabbit (5.1-1) UNRELEASED; urgency=low

  * New upstream release

 -- Yaroslav Halchenko <debian@onerussian.com>  Sun, 15 May 2011 18:48:57 -0400
