=== debian/changelog ===
vowpal-wabbit (6.1-1build1) saucy; urgency=low

  * No change rebuild for Boost 1.53 transition.

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Fri, 26 Apr 2013 19:18:44 +0100

vowpal-wabbit (6.1-1) unstable; urgency=low

  * New upstream release
  * debian/copyright -- dep5
  * debian/patches/fix-ftbfs-with-gcc-4.7 -- refreshed
  * debian/watch -- adjusted for github changes
  * debian/rules -- remove depend upon clean
  * debian/vowpal-wabbit.examples -- no cluster_command any longer 

 -- Yaroslav Halchenko <debian@onerussian.com>  Fri, 29 Jun 2012 00:13:56 -0400

vowpal-wabbit (5.1+83-gffab10a-2) unstable; urgency=low

  [ Cyril Brulebois ]
  * Fix FTBFS with gcc 4.7 by fixing a bunch of missing includes (Closes: #667412).

 -- Yaroslav Halchenko <debian@onerussian.com>  Wed, 04 Apr 2012 13:14:53 -0400
