=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: vowpal-wabbit
 Section: science
 Priority: optional
-Maintainer: Yaroslav Halchenko <debian@onerussian.com>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Yaroslav Halchenko <debian@onerussian.com>
 Build-Depends: debhelper (>= 7.0.50~), libboost-program-options-dev, help2man, zlib1g-dev
 Standards-Version: 3.9.2
 Homepage: http://hunch.net/~vw/
