=== debian/rules ===
--- 
+++ 
@@ -20,4 +20,4 @@
 
 override_dh_auto_clean:
 	dh_auto_clean
-	-rm -f test/*.predict test/*.tmp
+	-rm -f test/*.predict test/*.tmp depend
