=== debian/changelog ===
vowpal-wabbit (7.3-1ubuntu1) trusty; urgency=low

  * Specify multi-arch boost location.

 -- Dmitrijs Ledkovs <xnox@ubuntu.com>  Sun, 27 Oct 2013 01:17:33 +0100

vowpal-wabbit (7.3-1build1) trusty; urgency=low

  * No change rebuild for Boost 1.54 transition.

 -- Dmitrijs Ledkovs <xnox@ubuntu.com>  Tue, 22 Oct 2013 18:08:40 +0100

vowpal-wabbit (7.3-1) unstable; urgency=low

  * New upstream release

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 27 Aug 2013 20:52:23 -0400

vowpal-wabbit (7.2-1) experimental; urgency=low

  * Fresh upstream release + post-release bugfix for parallel code [3a3ef22]
    - patches up_no_double_allreduce_h, up_remove_allreduce_includes,
      up_ld_vw_against_allreduce,
      changeset_5046679437b058e82e31f42be2a41a70e30e9d7a.diff
      removed (included upstream)
  * debian/watch
    - fixed up for recent changes on github

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 25 Feb 2013 09:46:38 -0500

vowpal-wabbit (7.1-1) experimental; urgency=low

  * New upstream release (Closes: #699020)
    - install active_interactor utility
    - provides core functionality in a dynamic library, thus splitting
      packaging into multiple binary packages
  * debian/copyright
    - updated years
    - added Microsoft Corp to copyright holders
    - expanded BSD-3 license text with disclaimers
  * debian/rules
    - use dh_autoreconf -- upstream uses autotools now for the releases 
    - pass dpkg-buildflags to configure call for hardened builds
  * debian/patches
    - dropped fix-ftbfs-with-gcc-4.7 -- upstream is ready for gcc 4.7
    - CP post-release changeset_5046679437b058e82e31f42be2a41a70e30e9d7a.diff
      to resolve FTBFS
    - added deb_lpthread patch to enforce addition of -lpthread
    - added up_remove_allreduce_includes to avoid exposing all_reduce in libvw
      defined in liballreduce.so, and up_ld_vw_against_allreduce to correctly
      link libvw against allreduce library

 -- Yaroslav Halchenko <debian@onerussian.com>  Sat, 26 Jan 2013 12:28:24 -0500
