=== debian/watch ===
version=3
opts="filenamemangle=s/.*\/v(.*)/vowpal-wabbit-$1/,uversionmangle=s/rc/~rc/g" \
 https://github.com/JohnLangford/vowpal_wabbit/tags .*archive/v([\d\.a-z]+)\.tar\.gz
