=== demo/dna/Makefile ===
--- 
+++ 
@@ -27,3 +27,5 @@
 
 %.perf: %.test.predictions perf.check perl.check zsh.check
 	./do-perf $<
+
+.PHONY: all clean
