=== demo/mnist/Makefile ===
--- 
+++ 
@@ -3,6 +3,22 @@
 
 help:
 	@cat README
+
+RAW = mnist mnisthogwild mnist8m
+PNG = mnistpng mnist11png mnist8mpng mnist8m11png
+
+raw : $(addsuffix .test.confusion, $(RAW))
+
+png : $(addsuffix .test.confusion, $(PNG))
+
+MNIST = mnist mnisthogwild mnistpng mnist11png
+8M = mnist8m mnist8mpng mnist8m11png
+
+mnist : $(addsuffix .test.confusion, $(MNIST))
+
+mnist8m : $(addsuffix .test.confusion, $(8M))
+
+.PHONY : clean testclean %.test.confusion mnist mnist8m raw png
 
 %.check:
 	@test -x "$$(which $*)" || {				\
@@ -16,8 +32,19 @@
 clean:
 	rm -f $(wildcard mnist8mpng.*) $(wildcard mnist8m11png.*) $(wildcard mnist11png.*) $(wildcard mnistpng.*) $(wildcard mnist8m.*) $(wildcard mnist.*)
 
-train8m-%.gz: wget.check
-	wget http://ml.nec-labs.com/download/data/mnist8m/train8m-$*.gz
+# http://leon.bottou.org/projects/infimnist
+infimnist.tar.gz : wget.check
+	wget http://leon.bottou.org/_media/projects/$@
+
+infimnist : infimnist.tar.gz
+	tar xvfz $<
+	make -C $@
+
+train8m-labels-idx1-ubyte.gz: infimnist
+	(cd infimnist && ./infimnist lab 10000 8109999) | gzip > $@
+
+train8m-images-idx3-ubyte.gz: infimnist
+	(cd infimnist && ./infimnist pat 10000 8109999) | gzip > $@
 
 train-%.gz: wget.check
 	wget http://yann.lecun.com/exdb/mnist/train-$*.gz
@@ -37,6 +64,9 @@
 mnist.model: train-labels-idx1-ubyte.gz train-images-idx3-ubyte.gz extractfeatures zsh.check perl.check paste.check
 	./do-mnist-train
 
+mnisthogwild.model: train-labels-idx1-ubyte.gz train-images-idx3-ubyte.gz extractfeatures zsh.check perl.check paste.check
+	./do-mnist-hogwild-train
+
 mnist8m.model: train8m-labels-idx1-ubyte.gz train8m-images-idx3-ubyte.gz extractfeatures zsh.check perl.check paste.check
 	./do-mnist8m-train
 
@@ -53,7 +83,7 @@
 	   print "confusion matrix (rows = truth, columns = prediction):"; \
 	   foreach $$true (1 .. 10) {					\
 	     print join "\t", map { $$m{"$$true:$$_"} || 0 } (1 .. 10);	\
-           }' 
+           }'
 
 %.test.confusion: %.test.predictions perl.check
 	@perl -lane $(CONFUSION) $*.test.predictions
