=== debian/changelog ===
vowpal-wabbit (8.1.1-1) unstable; urgency=medium

  * Fresh upstream release
  * debian/watch
    - removed 'v' prefix from tags -- upstream stopped using it
  * debian/control
    - added -b debian to the Vcs-Git field
  * debian/rules
    - remove generated by tests files (Closes: #807231). Thanks Chris Lamb
    - force autoconf build system
    - point --with-boost-libdir to /usr/lib/<DEB_HOST_MULTIARCH>
  * debian/patches/deb_lpthread
    - dropped (upstreamed)

 -- Yaroslav Halchenko <debian@onerussian.com>  Sun, 04 May 2014 18:11:52 -0400

vowpal-wabbit (7.3-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/patches/boost_autoconf.patch: Update Boost autoconf macros to deal
    handle multi-archified Boost. (Closes: #741756)

 -- Sebastian Ramacher <sramacher@debian.org>  Fri, 25 Apr 2014 23:44:39 +0200
