=== debian/control ===
--- 
+++ 
@@ -1,17 +1,18 @@
 Source: vowpal-wabbit
 Section: science
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Yaroslav Halchenko <debian@onerussian.com>
+Maintainer: Yaroslav Halchenko <debian@onerussian.com>
 Build-Depends: debhelper (>= 7.0.50~),
                dh-autoreconf,
                libboost-program-options-dev,
+			   libboost-python-dev,
                help2man,
-               zlib1g-dev
+               zlib1g-dev,
+			   markdown, html2text,
 Standards-Version: 3.9.3
 Homepage: http://hunch.net/~vw/
 Vcs-Browser: http://github.com/yarikoptic/vowpal_wabbit
-Vcs-Git: git://github.com/yarikoptic/vowpal_wabbit.git
+Vcs-Git: git://github.com/yarikoptic/vowpal_wabbit.git -b debian
 
 Package: vowpal-wabbit
 Architecture: any
