=== debian/rules ===
--- 
+++ 
@@ -2,17 +2,25 @@
 # -*- makefile -*-
 
 MANPAGES=vowpalwabbit/vw.1
+DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 
-include /usr/share/dpkg/architecture.mk
+%: README
+	dh  $@ --buildsystem=autoconf --with autoreconf
 
-%:
-	dh  $@  --with autoreconf
+README: README.md
+	fgrep -v "Status]" $< \
+      | markdown \
+      | html2text -style pretty -nobs \
+      | sed -e 's:&gt;:>:g' \
+      > $@
 
 %.1: %
 	help2man --no-info --name="Vowpal Wabbit -- fast online learning tool" ./$< > $@
 
 override_dh_auto_configure:
-	dh_auto_configure -- --with-boost-libdir=/usr/lib/$(DEB_HOST_MULTIARCH) $(shell dpkg-buildflags --export=configure)
+	dh_auto_configure -- \
+      $(shell dpkg-buildflags --export=configure) \
+      --with-boost-libdir=/usr/lib/$(DEB_HOST_MULTIARCH)
 
 override_dh_auto_build:
 	dh_auto_build
@@ -28,6 +36,10 @@
 
 override_dh_installexamples:
 	dh_installexamples
+	: # Don't ship unreproducible test timings
+	find debian/ -name RunTests.last.times -type f -delete
+	: # Don't ship unreproducible model file
+	find debian/ -name 0001.model -type f -delete
 	: # Change permissions on windows-generated files
 	find debian/ -name '*-mswin' -type f | xargs -r chmod a-x
 
@@ -40,9 +52,12 @@
 
 override_dh_auto_clean:
 	dh_auto_clean
+	-rm -f README
 	-rm -f test/*.predict test/*.tmp depend $(MANPAGES)
 	: # And more garbage left with autoreconf
 	-rm -f vowpalwabbit/config.h vowpalwabbit/depend
+	: # Remove generated makefiles
+	-rm -f Makefile library/Makefile cluster/Makefile vowpalwabbit/Makefile
 
 override_dh_strip:
 	dh_strip --dbg-package=vowpal-wabbit-dbg
